
/*
Palette couleur à définir en variable : 
--couleurPrincipale
--couleurSurPrincipale
--couleurPrincipaleVariante
--couleurSurPrincipaleVariante
--couleurFond
--couleurSurFond
--couleurFondConteneur
--couleurSurFondConteneur
--couleurErreur
--couleurSurErreur
--couleurAvertissement
--couleurSurAvertissement
--couleurValidation
--couleurSurValidation
--couleurAnnulation
--couleurSurAnnulation
--couleurInactif
--couleurSurInactif
*/

html, body{
	width: 100%;
	height: 100%;
	font-family: "Roboto", sans-serif;
	font-size: 14px;
	background-color: var(--couleurFond);
	color: var(--couleurSurFond);
	padding: 0;
	margin: 0;
	overflow-y: hidden;	/* pour pouvoir faire la transition entre les deux pages sans afficher d'ascenceur */
}

/*----------------------
	page générales
-----------------------*/

.page{
	width: 100%;
	height: 100%;
	background-color: var(--couleurFond);
	display: flex;
	flex-direction: column;
}

.page > .entete{
	width: 100%;
}

.page > .entete .principale{
	background-color: var(--couleurPrincipale);
	color: var(--couleurSurPrincipale);
	display: flex;
	min-height: 48px;
}

.page > .entete .principale div{
	width: 48px;
	display: flex;
}

.page > .entete .principale div img{
	width: 32px; 
	margin: 8px;
}

.page > .entete .principale h1{
	flex: 1;
	text-align: center;
	font-size: 18px;
	font-weight: normal;
}

@media screen and (min-width: 1024px) {
	.page > .entete .principale h1{
		font-size: 18px;
	}
}

@media screen and (max-width: 1023px) {
	.page > .entete .principale h1{
		font-size: 16px;
	}
}

.page > .entete .secondaire{
	background-color: var(--couleurFondConteneur);
	color: var(--couleurSurFondConteneur);
	display: flex;
	min-height: 48px;
	align-items: center;
	padding: 5px;
}

.page > .entete .secondaire .enonce{
	text-align: center;
	font-weight: bold;
}

.page > .entete .secondaire.multiLignes{
	flex-direction: column;
	align-items: unset;
}

.page > .entete .secondaire.multiLignes .ligne{
	margin-top: 5px;
	display: flex;
	flex-wrap: wrap;
}

.page > .entete .secondaire.multiLignes .ligne div {
	margin-right: 5px;
}

.page > .entete{
	box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

.page > .contenu{
	flex: 1;
	display: flex;
	overflow-y: auto;
}

.page.avecSousEntete > .contenu .sousEntete{
	background-color: var(--couleurFondConteneur);
	color: var(--couleurSurFondConteneur);
	padding: 5px;
}	

@media screen and (min-width: 1024px) {
	.page.avecSousEntete > .contenu{
		flex-direction: column;
	}
	
	.page.avecSousEntete > .entete{
		box-shadow: unset;
	}
	
	.page.avecSousEntete > .contenu > .sousEntete{
		box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
		z-index: 1;
	}	
	
	.page.avecSousEntete > .contenu > .corps{
		flex: 1;
		overflow-y: auto;
	}
}

@media screen and (max-width: 1023px) {
	.page.avecSousEntete > .contenu{
		display: unset;
	}
	
	.page.avecSousEntete > .contenu > .sousEntete{
		box-shadow: unset;
	}
}

.page > .contenu > .formulaire .ligne{
	width: 100%;
	margin-top: 5px;
	display: flex;
}

.page > .contenu > .formulaire .ligne label{
	min-width: 100px;
	font-size: 14px;
}

.page > .contenu > .formulaire .ligne>div:first-of-type{
	flex: 1;
	display: flex;
	flex-direction: column;
}

.page > .contenu > .formulaire > .pied{
	display: flex;
	justify-content: flex-end;
	margin-top: 5px;
}

.page > .contenu > .formulaire > .pied button:last-child{
	margin-right: 0px;
}

.page > .contenu > .formulaire > .ligne .interrupteur{
	flex-direction: row;
}

.page > .contenu > .formulaire .ligne .interrupteur input[type=checkbox]{
	margin-left: 0px;
}

.page > .contenu > .formulaire .separateur{
	margin-top: 20px;
	text-align: center;
	font-weight: bold;
}

/*----------------------
	page fiche
-----------------------*/

.page.pageFiche > .entete .secondaire{
	justify-content: center;
}

.page.pageFiche > .contenu{
	display: unset;
}

/*----------------------
	page saisie
-----------------------*/

.page.pageSaisie > .entete .secondaire{
	justify-content: center;
}

.page.pageSaisie > .contenu{
	display: unset;
}

.pageSaisie > .contenu > .formulaire{
	margin : 15px auto 15px auto;
	padding: 10px;
	background-color: var(--couleurFondConteneur);
	color: var(--couleurSurFondConteneur);
	box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
}

@media screen and (min-width: 1024px) {
	.pageSaisie > .contenu > .formulaire{
		width: 500px;
	}
	
	.pageSaisie > .contenu > .formulaire > .ligne > label{
		min-width: 120px;
	}
}

@media screen and (max-width: 1023px) {
	.pageSaisie > .contenu > .formulaire{
		width: calc(100% - 30px);
	}
	
	.pageSaisie > .contenu > .formulaire > .ligne > label{
		min-width: 100px;
	}
}

.pageSaisie > .contenu > .formulaire > .ligne > .saisie > :first-child:not(.interrupteur){
	width: 100%;
  	box-sizing: border-box;
}

/*----------------------
	page liste
-----------------------*/

.pageListe > .contenu > .liste{
	flex: 1;
}

/*----------------------
	page identification
-----------------------*/

.pageSaisie.pageIdentification > .contenu > .formulaire{
	padding: 0px 0px 10px 0px;
	border-radius: 10px;
}

.pageSaisie.pageIdentification > .contenu > .formulaire .bouton{
	border-radius: 10px;
}

.pageSaisie.pageIdentification > .contenu > .formulaire .imageEntete img{
	width: 100%;
	margin-bottom: 10px;
	border-radius: 10px 10px 0px 0px;
}

.pageSaisie.pageIdentification > .contenu > .formulaire .ligne{
	width: calc(100% - 20px);
	margin-left: 10px;
	margin-right: 10px;
	display: flex;
	align-items: center;
	justify-content: center;
	text-align: center;
	margin-top: 10px;
}

.pageSaisie.pageIdentification > .contenu > .formulaire .pied{
	justify-content: center;
}

.pageSaisie.pageIdentification > .contenu > .formulaire .pied .bouton{
	min-width: 200px;
}

.pageSaisie.pageIdentification > .contenu > .formulaire .juridique{
	font-size: 11px;
	margin: 20px;
	text-align: center;
}

.pageSaisie.pageIdentification > .contenu > .formulaire .copyright{
	font-size: 12px;
	margin-top: 10px;
	margin-bottom: 0px;
	text-align: center;
}

.pageIdentification .contenu .identification .saisieAvecIcone{
	justify-content: center;
	text-align: center;
	align-items: center;
}

.pageIdentification .modificationMotdepasse{
	margin-top: 5px;
}

.pageIdentification .contenu .identification .interrupteur{
	display: flex;
	justify-content: center;
	align-items: center;
}

/*----------------------
	page mosaique
-----------------------*/

.pageMosaique > .contenu{
	display: unset;
}

.pageMosaique .mosaique .element{
	width: 200px;
	text-align: center;
	display: flex;
}

.pageMosaique .mosaique .element .conteneurImage{
	display: flex;
	justify-content: center;
	align-items: center;
}

.pageMosaique .mosaique .element .conteneurImage img{
	width: 48px;
}

.pageMosaique .mosaique .element .conteneurDescription{
	flex: 1;
	display: flex;
	justify-content: center;
	align-items: center;
}

.pageMosaique .entete .secondaire {
    justify-content: center;
}


/*----------------------
	dialogues
-----------------------*/

.dialogue{
	display: flex;
	position: absolute;
	top: 0px;
	left: 0px;
	width: 100%;
	height: 100%;
	background-color: rgba(51, 51, 51, 0.5);
	align-items: center;
	justify-content: center;
	z-index: 9998;
}

.dialogue > .conteneur{		
	background-color: var(--couleurFondConteneur);
	color: var(--couleurSurFondConteneur);
	box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
	transition: all 0.3s cubic-bezier(.25,.8,.25,1);
	border-radius: 10px;
}

.dialogue > .conteneur > .entete{
	width: unset;
	padding: 20px;
	margin:0px;
	box-shadow: unset;
}

/* En mode smartphone */
@media only screen and (max-width:1023px) {	
	.dialogue > .conteneur{
		width: 80%;
	}
		
	.dialogue > .conteneur > .contenu input{
		/* je force la largeur car les inputs number ne s'agrandissent pas automatiquement sous FF */ 
		width: 250px;
	}
}

/* En mode tablette/PC */
@media only screen and (min-width:1024px) {
	.dialogue > .conteneur{
		max-width: 500px;
	}
		
	.dialogue > .conteneur > .contenu input{
		/* je force la largeur car les inputs number ne s'agrandissent pas automatiquement sous FF */ 
		width: 350px;
	}
}

.dialogue > .conteneur > .contenu{
    font-size: 12px;
    font-weight: normal;
	overflow-y: auto;
	padding: 0px 20px 0px 20px;
}

.dialogue > .conteneur > .contenu .progression{
	display:flex;
	overflow:hidden;
}

.dialogue > .conteneur > .progression .cercleIndefini{
	border: 8px solid #666666;
    border-top: 8px solid var(--couleurPrincipale); 
    border-radius: 50%;
    width: 32px;
    height: 32px;
    animation: spin 2s linear infinite;
	margin-left: auto;
	margin-right: auto;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.dialogue > .conteneur > .contenu .progression .description{
	flex: 1;
	padding: 14px 0px 0px 14px;
}

/* En mode smartphone */
@media only screen and (max-height:600px) {
	.dialogue > .conteneur >.contenu{
		max-height: 375px;	/* j'utilise un nombre non multiple de 32 pour voir le scroll sur mobile (dernier input coupé) */ 
	}
}


/* En mode PC avec petit ecran */ 
@media only screen and (min-height:601px) and (max-height:799px) {
	.dialogue > .conteneur > .contenu{
		max-height: 450px;
	}
}

/* En mode PC avec grand ecran */ 
@media only screen and (min-height:800px){
	.dialogue > .conteneur > .contenu{
		max-height: 750px;
	}
}

.dialogue > .conteneur > .pied{
	display:flex;
	padding: 20px;
}

.dialogue > .conteneur > .pied button{
	margin-bottom: 0px;
	flex:1;
}

.dialogue > .conteneur > .pied input:first-child, .dialogue > .conteneur > .pied button:first-child{	/*TODO à revoir*/
	margin-right: 3px;
}

.dialogue > .conteneur > .contenu.formulaire .ligne{
	width: 100%;
	margin-top: 5px;
	display: flex;
}

.dialogue > .conteneur > .contenu.formulaire .ligne label{
	min-width: 100px;
	font-size: 14px;
}

.dialogue > .conteneur > .contenu.formulaire .ligne .saisie{
	flex: 1;
	display: flex;
	flex-direction: column;
}

.dialogue > .conteneur > .contenu.formulaire .ligne .interrupteur{
	flex-direction: row;
}

.dialogue > .conteneur > .contenu.formulaire .ligne .interrupteur input[type=checkbox]{
	margin-left: 0px;
}

.dialogue > .conteneur > .contenu.formulaire .ligne > .saisie > :first-child:not(.interrupteur){
	width: 100%;
  	box-sizing: border-box;
}

.dialogue > .conteneur > .pied{
	display: flex;
	justify-content: flex-end;
	margin-top: 5px;
}

.dialogue > .conteneur > .pied button:last-child{
	margin-right: 0px;
}

.dialogue > .conteneur > .contenu.formulaire .separateur{
	margin-top: 20px;
	text-align: center;
	font-weight: bold;
}

.dialogue > .conteneur > .contenu.formulaire .groupe{
    margin-top: 5px;
    display: flex;
    flex-direction: column;
    background-color: #f3f3f3;
    border-radius: 5px;
    padding: 10px;
}

.dialogue > .conteneur > .contenu.formulaire .groupe > .titre{
	display: flex;
    align-items: center;
    flex: 1;
}

.dialogue > .conteneur .ligneDouble{
  	margin-top: 5px;
    display: flex;
    flex-direction: column;
}

.dialogue > .conteneur > .contenu.formulaire  .groupe > .contenu, .dialogue > .conteneur > .contenu.formulaire .ligneDouble > .contenu{
    display: flex;
    flex-wrap: wrap;
}

.dialogue > .conteneur > .contenu.formulaire  .groupe > .titre{
    font-size: 14px;
    color:gray;
    margin-bottom: 2px;
}

.dialogue > .conteneur > .contenu.formulaire  .groupe > .contenu > .ligne, .dialogue > .conteneur > .contenu.formulaire .ligneDouble > .contenu > .ligne  {
    padding-left: 5px;
    padding-right: 5px;
    display: flex;
    font-size: 14px;
    flex: 1;
	min-width: 160px;	/* pour flex wrap */
}

.dialogue > .conteneur > .contenu.formulaire .ligneDouble > .contenu > .ligne:first-child{
	padding-left: 0px;
}

.dialogue > .conteneur > .contenu.formulaire .ligneDouble > .contenu > .ligne:last-child{
	padding-right: 0px;
}

.dialogue > .conteneur > .contenu.formulaire .ligneDouble > .contenu{
	container-type: inline-size;
}

@container (width < 330px) {
	.dialogue > .conteneur > .contenu.formulaire  .ligneDouble > .contenu > .ligne{
		padding: 0px;
	}
}


.dialogue > .conteneur > .contenu.formulaire .groupe > .contenu  > .ligne > .saisie, .dialogue > .conteneur > .contenu.formulaire .ligneDouble > .contenu  > .ligne > .saisie{
    flex: 1;
    display: flex;
    flex-direction: column;
}

/*----------------------
	dialogues avec bandeau
-----------------------*/

.dialogue.dialogueAvecBandeau > .conteneur > .entete{
    background-color: var(--couleurPrincipale);
    display: flex;
    padding: 10px 0px 10px 0px;
    border-radius: 10px 10px 0px 0px;
    margin-bottom: 10px;
}

.dialogue.dialogueAvecBandeau > .conteneur > .entete > .titre{
    display: flex;
    align-items: center;
    flex: 1;
}

.dialogue.dialogueAvecBandeau > .conteneur > .entete > .titre > img{
    border: 1px solid var(--couleurSurPrincipale);
    border-radius: 5px;
    padding: 2px;
    background-color: #0003;
    margin-left: 20px;
    width: 32px;
}

.dialogue.dialogueAvecBandeau > .conteneur > .entete > .titre > span{
    color: var(--couleurSurPrincipale);
    margin-left: 10px;
    margin-top: 10px;
    margin-bottom: 10px;
}

.dialogue.dialogueAvecBandeau > .conteneur > .entete > .action{
    display: flex;
    align-items: center;
    margin-right: 10px;
}

.dialogue.dialogueAvecBandeau > .conteneur > .entete > .action > img{
	width: 24px;
    margin-left: 10px;
}


/*----------------------
	Dialogue chargement
-----------------------*/

/* demande de Rémi pour supprimer clignotement */

#dialogueChargement{
	background-color: transparent;
	cursor: wait;
}

#dialogueChargement .conteneur{
	display: none;	
}

/*----------------------
	Conteneur volant utilisateur
-----------------------*/

.page > .entete .conteneurVolantUtilisateur{
	right: 5px;
	box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

.page > .entete .conteneurVolantUtilisateur .utilisateur{
	text-align: center;
	font-weight: bold;
}

.page > .entete .conteneurVolantUtilisateur .infoUtilisateur{
	text-align: center;
	margin-top: 5px;
	font-size: 14px;
}

.page > .entete .conteneurVolantUtilisateur .actions{
	margin-top: 10px;
	border-top: solid 2px #e4e4e4;
	display: flex;
	flex-direction: column;
}

.page > .entete .conteneurVolantUtilisateur .actions a{
	margin-top: 15px;
	color: var(--couleurSurFondConteneur);
}

.page > .entete .conteneurVolantUtilisateur .actions a:hover{
	margin-top: 15px;
	color: var(--couleurPrincipaleVariante);
}



/*----------------------
	Toast
-----------------------*/

.toast{
	position: absolute;
    z-index: 9999;

	overflow: auto;
		
    border-radius: 12px;
    padding: 10px;
	box-shadow: 5px 5px 5px rgba(0,0,0,0.12), 5px 5px 5px rgba(0,0,0,0.24);

	background-color: gray;
	color: white;
}

@media only screen and (max-width:500px) {
	.toast{
		max-height: 150px;	 
		max-width: 300px;
	}
}

@media only screen and (min-width:501px) {
	.toast{
		max-height: 300px;	
		max-width: 600px;
	}
}